function f = func_theta0(theta0,P,L,E,I,n)

alpha = sqrt(P*L^2/E/I);
lambda = sin(theta0)-n*cos(theta0);
eta = sqrt(1+n^2);
gamma = asin(sqrt((eta-n)/(eta+lambda)));
t = sqrt((eta+lambda)/2/eta);

[Fc,Fi]= elliptic (gamma,t,2.22e-16);

f = alpha-(Fc-Fi)/sqrt(eta);


